create database cocina;

use cocina;

drop table usuarios;
create table usuarios(
nombreUsuario varchar(100) primary key,
correo varchar(100),
password varchar(100),
tipo varchar(100)
); 

drop table asiento;
create table asiento(
 id integer auto_increment primary key,
 nombre_asiento varchar(100),
 precio integer,
 zona_id integer,
FOREIGN KEY (zona_id) REFERENCES zona(id)
);

drop table zona;
create table zona(
 id integer auto_increment primary key
);


create table compra (
    id integer auto_increment primary key,
    usuario varchar(100),
    asiento_id integer,
    FOREIGN KEY (usuario_id) REFERENCES usuarios(nombreUsuario),
    FOREIGN KEY (asiento_id) REFERENCES asiento(id)
);

INSERT INTO `usuarios`(`nombreUsuario`,`correo`,`password`,`tipo`)VALUES
('daniel','dangja9@gmail.com', 'lalelilolu', 'usuario'),
('juan','juanlazarorp@gmail.com', 'perrotonto16', 'admin'),
('francis','reyes.23.jacome@gmail.com','palapa', 'admin'),
('citlali', '2282785651citlali@gmail.com', 'contraseña', 'usuario');

select * from usuarios;

INSERT INTO `zona`(`id`)VALUES
('1'),
('2'),
('3'),
('4');

select * from  zona;


